/*
This is a part of the LiteStep Shell Source code.

Copyright (C) 1997-2001 The LiteStep Development Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
#ifndef  __GRDSHELLTRAY
#define  __GRDSHELLTRAY

#define WIN32_LEAN_AND_MEAN
#define STRICT

#include <windows.h>
#include <windows.h>
#include <shellapi.h>
#include <stdio.h>
#include <algorithm>
#include "../lsapi/lsapi.h"
#include "../lsapi/macros.h"
#include "resource.h"

// the name of the shelltray windowclass
#define WC_SHELLTRAY       "Shell_TrayWnd"

/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */
/* * CLASS: grdShellTray                                     * */
/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */
/* *                                                         * */
/* *  this is a sub-class that handles the real message-     * */
/* *  passing routine.                                       * */
/* *                                                         * */
/* *  other than that grdTray is a really great LoadModule   * */
/* *                                                         * */
/* *                                      // Gustav Munkby   * */
/* *                                                         * */
/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

class shellTray
{

public:

	// this starts the whole thing
	shellTray(HWND lswnd, HINSTANCE hInstance);
	// this terminates the whole thing
	~shellTray();

private:

	// functions
	static LRESULT CALLBACK WndProc(HWND hwnd, UINT message, WPARAM wParam, LPARAM lParam);
	LRESULT WindowProc(HWND hwnd, UINT message, WPARAM wParam, LPARAM lParam);

	// properties
	HWND hShellTray;
	HWND	hLiteStep;
	HINSTANCE hInstance;

};


#endif// __GRDSHELLTRAY
